## ros-noetic-mir-gazebo 1.1.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(mir_gazebo)

find_package(catkin REQUIRED COMPONENTS
  roslaunch
)

###################################
## catkin specific configuration ##
###################################
catkin_package()

#############
## Install ##
#############

# Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY
  config
  launch
  maps
  sdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

roslaunch_add_file_check(launch)

=== debian/changelog ===
ros-noetic-mir-gazebo (1.1.7-1focal) focal; urgency=high

  * Don't set cmake_policy CMP0048
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 19 Jan 2023 23:00:00 -0000

ros-noetic-mir-gazebo (1.1.6-1focal) focal; urgency=high

  * Add arg mir_type to launch files and urdfs
  * Rename mir_100 -> mir
    This is in preparation of mir_250 support.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 01 Jun 2022 22:00:00 -0000

ros-noetic-mir-gazebo (1.1.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Feb 2022 23:00:00 -0000

ros-noetic-mir-gazebo (1.1.4-1focal) focal; urgency=high

  * Remove outdated comment
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 09 Dec 2021 23:00:00 -0000

ros-noetic-mir-gazebo (1.1.3-1focal) focal; urgency=high

  * Merge branch 'melodic-2.8' into noetic
  * Rename tf frame and topic 'odom_comb' -> 'odom'
    This is how they are called on the real MiR since MiR software 2.0.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 10 Jun 2021 22:00:00 -0000

ros-noetic-mir-gazebo (1.1.2-1focal) focal; urgency=high

  * Fix laser scan frame_id with gazebo_plugins 2.9.2
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-mir-gazebo (1.1.1-1focal) focal; urgency=high

  * mir_gazebo: Add model_name arg
  * Move joint_state_publisher to mir_gazebo_common.launch
  * Add optional namespace to launch files
  * Add prepend_prefix_to_laser_frame to URDF and launch files
    Fixes #65 <https://github.com/dfki-ric/mir_robot/issues/65>.
  * Add tf_prefix to URDF and launch files
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-noetic-mir-gazebo (1.1.0-1focal) focal; urgency=high

  * Initial release into noetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.6-1focal) focal; urgency=high

  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 29 Jun 2020 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.5-1focal) focal; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 30 Apr 2020 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.4-1focal) focal; urgency=high

  * Fix gazebo launch file
    Before this commit, the mobile base plugin couldn't initialize, because
    subst_value didn't work.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.3-1focal) focal; urgency=high

  * Add hector_mapping
  * fake_localization.launch: Add frame id args
  * Merge pull request #16 <https://github.com/dfki-ric/mir_robot/issues/16> from niniemann/add-prefix-argument-to-configs
    Add prefix argument to configs
  * adds $(arg prefix) to a lot of configs
    This is an important step to be able to re-parameterize move base,
    the diffdrive controller, ekf, amcl and the costmaps for adding a
    tf prefix to the robots links
  * Fix translation error in odom_comb (#12 <https://github.com/dfki-ric/mir_robot/issues/12>)
    Previously, the ekf localization only computed a correct orientation, but the translation still followed the pure odometry data. This led to strange errors where the robot would move sideways (despite only having a diff drive).
    This PR changes the ekf configuration to not use any position information from the odometry, but to integrate the velocities, which fixes this problem.
  * Split scan_rep117 topic into two separate topics
    This fixes the problem that the back laser scanner was ignored in the
    navigation costmap in Gazebo (probably because in Gazebo, both laser
    scanners have the exact same timestamp).
  * Contributors: Martin Günther, Nils Niemann

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-noetic-mir-gazebo (1.0.2-1focal) focal; urgency=high

  * mir_gazebo: Install config directory
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 29 Jul 2018 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.1-1focal) focal; urgency=high

  * gazebo: Replace robot_pose_ekf with robot_localization
    robot_pose_ekf is deprecated, and has been removed from the navigation
    stack starting in melodic.
  * gazebo: Adjust ekf.yaml
  * gazebo: Copy robot_localization/ekf_template.yaml
    ... for modification.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Mon, 16 Jul 2018 22:00:00 -0000

ros-noetic-mir-gazebo (1.0.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 11 Jul 2018 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-mir-gazebo
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: https://github.com/dfki-ric/mir_robot
Standards-Version: 3.9.2

Package: ros-noetic-mir-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-controller-manager, ros-noetic-fake-localization, ros-noetic-gazebo-ros, ros-noetic-joint-state-publisher, ros-noetic-mir-description, ros-noetic-mir-driver, ros-noetic-robot-localization, ros-noetic-robot-state-publisher, ros-noetic-rostopic, ros-noetic-rqt-robot-steering, ros-noetic-topic-tools
Description: Simulation specific launch and configuration files for the MiR robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-mir-gazebo//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
